## erlang-cuttlefish 2.0.11+dfsg

=== Makefile ===
DIALYZER_APPS = kernel stdlib sasl erts ssl tools os_mon runtime_tools crypto inets \
	public_key mnesia syntax_tools compiler
COMBO_PLT = $(HOME)/.cuttlefish_combo_dialyzer_plt

.PHONY: deps

all: deps compile
	./rebar skip_deps=true escriptize

deps:
	./rebar get-deps

docsclean:
	@rm -rf doc/*.png doc/*.html doc/*.css doc/edoc-info

compile: deps
	./rebar compile

clean:
	@./rebar clean

distclean: clean
	@rm -rf cuttlefish deps

include tools.mk

## erlang-cuttlefish 2.0.6+dfsg

=== debian/changelog ===
erlang-cuttlefish (2.0.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.7.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 27 Mar 2016 05:13:26 +0900

erlang-cuttlefish (2.0.5+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #815505)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 22 Feb 2016 09:22:11 +0900

=== debian/control ===
Source: erlang-cuttlefish
Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.7
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:16),
	erlang-eunit, erlang-mnesia, erlang-dialyzer, dh-rebar,
	erlang-getopt (>= 0.8.2), erlang-lager (>= 2.0), erlang-neotoma (>= 1.7.3)
Homepage: https://github.com/basho/cuttlefish
Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-cuttlefish.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-cuttlefish.git;a=summary

Package: erlang-cuttlefish
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends},
	erlang-getopt (>= 0.8.2), erlang-lager (>= 2.0), erlang-neotoma (>= 1.7.3)
Description: Erlang/OTP library for sysctl-like syntax
 Cuttlefish is a library for Erlang applications that wish to walk the
 fine line between Erlang `app.config`s and a sysctl-like syntax.
 The name is a pun on the pronunciation of 'sysctl' and jokes are
 better explained.

## erlang-cuttlefish 2.0.10+dfsg

=== debian/changelog ===
erlang-cuttlefish (2.0.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update depend version of erlang-lager.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 19 Oct 2016 13:09:03 +0900

erlang-cuttlefish (2.0.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Update patches/remove_dep.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 03 Sep 2016 06:37:55 +0900

=== debian/control ===
Source: erlang-cuttlefish
Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:16),
	erlang-eunit, erlang-mnesia, erlang-dialyzer, dh-rebar,
	erlang-getopt (>= 0.8.2), erlang-lager (>= 3.2.4), erlang-neotoma (>= 1.7.3)
Homepage: https://github.com/basho/cuttlefish
Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-cuttlefish.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-cuttlefish.git;a=summary

Package: erlang-cuttlefish
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends},
	erlang-getopt (>= 0.8.2), erlang-lager (>= 3.2.4), erlang-neotoma (>= 1.7.3)
Description: Erlang/OTP library for sysctl-like syntax
 Cuttlefish is a library for Erlang applications that wish to walk the
 fine line between Erlang `app.config`s and a sysctl-like syntax.
 The name is a pun on the pronunciation of 'sysctl' and jokes are
 better explained.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/cuttlefish-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/basho/cuttlefish/tags .*/v?(\d\S*)\.tar\.gz

## erlang-cuttlefish 2.0.11%2Bdfsg

=== debian/changelog ===
erlang-cuttlefish (2.0.11+dfsg-4) unstable; urgency=medium

  * Fix FTBFS with Erlang 21.1 (Closes: #909978)
    Update d/patches/remove-warnings_as_errors, and add
    d/patches/support_otp_21.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 10 Dec 2018 09:07:52 +0900

erlang-cuttlefish (2.0.11+dfsg-3) unstable; urgency=medium

  * Change maintainer address. (Closes: #899489)
  * Update debhelper to 11.
  * Dump Standards-Version to 4.1.4.
  * Change Vcs-Browser and Vcs-Git to salsa.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 28 May 2018 12:30:46 +0900

erlang-cuttlefish (2.0.11+dfsg-2) unstable; urgency=medium

  * Fix build with OTP 20. (Closes: #871350)
    - Update patches/support_otp_19.
    - Add patches/remove-warnings_as_errors.
  * Bump Standards-Version to 4.0.0.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 19 Aug 2017 03:11:02 +0900

erlang-cuttlefish (2.0.11+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update depend version of erlang-neotoma.
  * Bump Standards-Version to 4.0.0.
  * Update debian/copyright.
    Add Files-Excluded: rebar.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 02 Jul 2017 05:16:16 +0900

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=rebar --with rebar

override_dh_auto_test:
ifeq "$(disable_test)" "0"
	rebar eunit -vv skip_deps=true
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf ebin/*.beam
	rm -rf ebin/*.app
	rm -rf c_src/*.o
	rm -rf .eunit
	rm -rf src/cuttlefish_duration_parse.erl
	rm -rf src/conf_parse.erl

## erlang-cuttlefish 2.0.11+dfsg

=== debian/control ===
Source: erlang-cuttlefish
Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9),
               erlang-dev (>= 1:16),
               erlang-eunit,
               erlang-mnesia,
               erlang-dialyzer,
               dh-rebar,
               erlang-getopt,
               erlang-lager (>= 3.2.4),
               erlang-neotoma (>= 1.7.4)
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-leofs/erlang-cuttlefish.git
Vcs-Git: https://anonscm.debian.org/git/pkg-leofs/erlang-cuttlefish.git
Homepage: https://github.com/basho/cuttlefish

Package: erlang-cuttlefish
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-getopt,
         erlang-lager (>= 3.2.4),
         erlang-neotoma (>= 1.7.4)
Description: Erlang/OTP library for sysctl-like syntax
 Cuttlefish is a library for Erlang applications that wish to walk the
 fine line between Erlang `app.config`s and a sysctl-like syntax.
 The name is a pun on the pronunciation of 'sysctl' and jokes are
 better explained.

## erlang-cuttlefish 3.0.1

=== debian/changelog ===
erlang-cuttlefish (3.0.1-1) unstable; urgency=medium

  * Switch upstream source to fork at https://github.com/Kyorai/cuttlefish
  * New upstream version 3.0.1 (Closes: #935279)
  * Update (Build-)Depends
  * Update Maintainers and Uploaders
  * Update Standards-Version
  * Add lintian overrides
  * Switch debhelper compat level from 11 to 13
  * Change architecture from 'any' to 'all'
  * Update debian/copyright
  * Clean debian/rules
  * Update debian/watch
  * Add lintian overrides
  * Add debian/upstream/metadata

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Jan 2022 18:44:32 +0100

=== debian/control ===
Source: erlang-cuttlefish
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>, Philipp Huebner <debalance@debian.org>
Section: devel
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar,
               erlang-getopt,
               erlang-neotoma
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-cuttlefish
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-cuttlefish.git
Homepage: https://github.com/Kyorai/cuttlefish

Package: erlang-cuttlefish
Architecture: all
Depends: ${erlang:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         erlang-getopt,
         erlang-neotoma
Description: Erlang/OTP library for sysctl-like syntax
 Cuttlefish is a library for Erlang applications that wish to walk the
 fine line between Erlang `app.config`s and a sysctl-like syntax.
 The name is a pun on the pronunciation of 'sysctl' and jokes are
 better explained.

## erlang-cuttlefish 3.1.0

=== debian/changelog ===
erlang-cuttlefish (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0
  * Update Standards-Version: 4.6.1 (no changes needed)
  * Update Erlang dependencies
  * Update lintian overiddes

 -- Philipp Huebner <debalance@debian.org>  Wed, 02 Nov 2022 14:19:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar,
+               dh-rebar (>= 0.0.6),
                erlang-getopt,
                erlang-neotoma
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-cuttlefish
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-cuttlefish.git
 Homepage: https://github.com/Kyorai/cuttlefish

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk
export ERL_COMPILER_OPTIONS=deterministic


%:
	dh $@ --buildsystem=rebar --with rebar


override_dh_auto_configure:
	sed -i "s/git\}/\"$(DEB_VERSION_UPSTREAM)\"\}/" src/cuttlefish.app.src


override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eunit .rebar ebin

## erlang-cuttlefish 3.2.0

=== debian/changelog ===
erlang-cuttlefish (3.2.0-2) unstable; urgency=medium

  * Update debian/rules

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 14:54:48 +0100

erlang-cuttlefish (3.2.0-1) unstable; urgency=medium

  * New upstream version 3.2.0
  * Update Standards-Version: 4.6.2 (no changes needed)
  * Update years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sun, 16 Jul 2023 17:18:47 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-rebar (>= 0.0.6),
                erlang-getopt,
                erlang-neotoma
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-cuttlefish
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-cuttlefish.git
 Homepage: https://github.com/Kyorai/cuttlefish

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
 export ERL_COMPILER_OPTIONS=deterministic
+
+DESTDIR=$(CURDIR)/debian/erlang-cuttlefish
 
 
 %:
@@ -12,7 +14,6 @@
 override_dh_auto_configure:
 	sed -i "s/git\}/\"$(DEB_VERSION_UPSTREAM)\"\}/" src/cuttlefish.app.src
 
-
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf .eunit .rebar ebin

## erlang-cuttlefish 3.4.0

=== debian/changelog ===
erlang-cuttlefish (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * Update years in debian/copyright
  * Update Standards-Version: 4.7.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Oct 2024 21:26:37 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-rebar (>= 0.0.6),
                erlang-getopt,
                erlang-neotoma
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-cuttlefish
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-cuttlefish.git
 Homepage: https://github.com/Kyorai/cuttlefish

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/cuttlefish-$1.tar.gz/ \
  https://github.com/Kyorai/cuttlefish/tags .*/v?(\d\S*)\.tar\.gz
